package com.wyattjmiller.repositories

import com.wyattjmiller.entities.Recipe
import com.wyattjmiller.entities.RecipeDraft

interface RecipeRepository {
    fun getAllRecipies() : List<Recipe>
    fun getRecipe(id: Int) : Recipe?
    fun createRecipe(recipe: RecipeDraft) : Recipe
    fun updateRecipe(id: Int, recipe: RecipeDraft) : Boolean
    fun deleteRecipe(id: Int) : Boolean
}