package com.wyattjmiller.repositories

import com.wyattjmiller.entities.User
import com.wyattjmiller.entities.UserDraft

interface UserRepository {
    fun getUser(id: Int) : User?
    fun createUser(user: UserDraft) : User
    fun updateUser(id: Int, user: UserDraft) : Boolean
    fun deleteUser(id: Int) : Boolean
}